Bug 111817 - [PATCH] biology/py-biopython: update to 1.43
Summary: [PATCH] biology/py-biopython: update to 1.43
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-04-18 14:20 UTC by P.BandieraPaiva
Modified: 2007-05-30 08:00 UTC (History)
1 user (show)

See Also:


Attachments
py24-biopython-1.43.patch (59.76 KB, patch)
2007-04-18 14:20 UTC, P.BandieraPaiva
no flags Details | Diff
py24-biopython-1.43_1.patch (12.60 KB, patch)
2007-04-19 16:15 UTC, P.BandieraPaiva
no flags Details | Diff
py-biopython-1.43_1.42.patch (12.17 KB, patch)
2007-05-02 20:33 UTC, P.BandieraPaiva
no flags Details | Diff
patch4.diff (13.64 KB, patch)
2007-05-29 01:00 UTC, Mauricio Herrera Cuadra
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description P.BandieraPaiva 2007-04-18 14:20:01 UTC
- Update to 1.43

Removed file(s):
- pkg-plist

Port maintainer (mauricio@arareko.net) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2007-04-18 14:20:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants to have py- PRs
Comment 2 Edwin Groothuis freebsd_committer 2007-04-18 14:20:50 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 3 Martin Wilke freebsd_committer 2007-04-18 14:22:06 UTC
Responsible Changed
From-To: freebsd-python->miwi

I'll take it.
Comment 4 arareko 2007-04-18 19:18:34 UTC
I've reviewed and asked the submitter to correct the patch (the current one is deleting the pkg-plist file). He should resend it using the same PR.

Regards,
Mauricio.
 
--
MAURICIO HERRERA CUADRA
mauricio@arareko.net
http://www.arareko.net/

----- Original Message ----
From: Edwin Groothuis <edwin@FreeBSD.org>
To: mauricio@arareko.net
Sent: Wednesday, April 18, 2007 8:20:42 AM
Subject: Re: ports/111817: [PATCH] biology/py-biopython: update to 1.43

Maintainer of biology/py-biopython,

Please note that PR ports/111817 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/111817

-- 
Edwin Groothuis
edwin@FreeBSD.org




__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com
Comment 5 P.BandieraPaiva 2007-04-19 16:15:59 UTC
I am sending a new patch, with the pkg-plist file (as was requested by 
the maintainer.
This patch replaces the previously submitted py24-biopython-1.43.patch

Comment 6 Mauricio Herrera Cuadra 2007-04-30 19:10:50 UTC
I've reviewed and asked the submitter to correct the new patch (it's removing one dependency from BUILD_DEPENDS in the Makefile). He should resend it using the same
PR.



Regards,

Mauricio. 
--
MAURICIO HERRERA CUADRA
mauricio@arareko.net
http://www.arareko.net/
Comment 7 P.BandieraPaiva 2007-05-02 20:33:36 UTC
I thought  ${PYTHON_SITELIBDIR}/mx/TextTools/__init__.py was included in
${PORTSDIR}/lang/py-mx-base , thus the prior would not be needed if the later was satisfied.
This worked on 3 BSD systems in my lab, but that may work if my PYTHON_SITELIBDIR already contained the mx/TextTools

As I was not able to test this, I am sending a new patch, with the BUILD_DEPENDS corrected.
This patch replaces the previously submitted patches.



Comment 8 Martin Wilke freebsd_committer 2007-05-27 21:33:30 UTC
State Changed
From-To: feedback->closed

Maintainer not approved. He will send a new diff. Thanks for you 
submission.
Comment 9 Martin Wilke freebsd_committer 2007-05-28 10:29:52 UTC
State Changed
From-To: closed->open

Reopen Maintainer pinged me via mail.
Comment 10 Mauricio Herrera Cuadra 2007-05-29 00:58:18 UTC
The error is because the setup.py script goes into interactive mode
asking to install some extra modules. I've created a extra patch for skipping
this and which installs everything as default, please use the
attachment as the definitive patch for the whole port.





Regards,


Mauricio.

 

--

MAURICIO HERRERA CUADRA

mauricio@arareko.net

http://www.arareko.net/


----- Original Message ----
From: Martin Wilke <miwi@FreeBSD.org>
To: Mauricio Herrera Cuadra <mauricio@arareko.net>
Sent: Monday, May 28, 2007 6:30:26 AM
Subject: Re: ports/111817: [PATCH] biology/py-biopython: update to 1.43



http://miwi.homeunix.com/tb/errors/7.0-HEAD/py24-biopython-1.43.log



build error. Could you fix this ?



- -- 

Martin Wilke        | irc.unixfreunde.de #bsd 

miwi@FreeBSD.org    | miwi@unixfreunde.de

FreeBSD Committer    | Power to Serve
Comment 11 Mauricio Herrera Cuadra 2007-05-29 01:00:44 UTC
The error is because the setup.py script goes into interactive mode asking to install some extra modules. I've created a extra patch for skipping this and which installs everything as default, please use the attachment as the definitive patch for the whole port.

Regards,
Mauricio. 
--
MAURICIO HERRERA CUADRA
mauricio@arareko.net
http://www.arareko.net/

----- Original Message ----
From: Martin Wilke <miwi@FreeBSD.org>
To: Mauricio Herrera Cuadra <mauricio@arareko.net>
Sent: Monday, May 28, 2007 6:30:26 AM
Subject: Re: ports/111817: [PATCH] biology/py-biopython: update to 1.43



http://miwi.homeunix.com/tb/errors/7.0-HEAD/py24-biopython-1.43.log



build error. Could you fix this ?



- -- 

Martin Wilke        | irc.unixfreunde.de #bsd 

miwi@FreeBSD.org    | miwi@unixfreunde.de

FreeBSD Committer    | Power to Serve


Comment 12 Martin Wilke freebsd_committer 2007-05-30 07:57:24 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 13 dfilter service freebsd_committer 2007-05-30 07:57:26 UTC
miwi        2007-05-30 06:57:20 UTC

  FreeBSD ports repository

  Modified files:
    biology/py-biopython Makefile distinfo pkg-plist 
  Added files:
    biology/py-biopython/files patch-setup.py 
  Log:
  - Update to 1.43
  
  PR:             111817
  Submitted by:   "P.BandieraPaiva" <paiva@unifesp.br>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.23      +4 -4      ports/biology/py-biopython/Makefile
  1.14      +3 -3      ports/biology/py-biopython/distinfo
  1.5       +34 -0     ports/biology/py-biopython/files/patch-setup.py (new)
  1.13      +126 -85   ports/biology/py-biopython/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"